/*
 * Copyright 2019 lorislab.org.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package test;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import java.util.UUID;

@Stateless
@Path("model")
public class ModelService {

    /**
     * The entity manager.
     */
    @PersistenceContext
    private EntityManager em;

    @GET
    @TransactionAttribute(TransactionAttributeType.REQUIRED)
    public void test() {
        Model model = new Model();
        model.setId(UUID.randomUUID().toString());
        em.persist(model);
        em.flush();
        System.out.println("OK. Model: " + model.getId() + " principal: " + model.getName());
    }
}
